/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Tomer Gidron
 *
 */

 /**
    @file TimeHUD.h
    @brief Declaration of the TimeHUD class.
*/

#ifndef _FlagsAndLivesHUD_H__
#define _FlagsAndLivesHUD_H__


#include "HoverPrereqs.h"

#include "tools/interfaces/Tickable.h"
#include "overlays/OverlayText.h"

namespace orxonox
{
    class _HoverExport FlagsAndLivesHUD : public OverlayText, public Tickable
    {
        public:
            FlagsAndLivesHUD(Context* context);

            virtual void tick(float dt) override;
            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
            virtual void changedOwner() override;

            /// sets TOTAL flags taken
            inline void setShowTot(int totFlags)
                { this->totFlags_ = totFlags; }
            /// returns total flags >=0
            inline int getShowTot() const
                { return this->totFlags_; }

            void setShowLives(const bool showLives)
                { showLives_ = showLives; }

            const bool getShowLives() const
                { return showLives_; }

        private:
            Hover* hoverGame_;
            int totFlags_;
            bool showLives_;
    };
}
#endif /* _FlagsAndLivesHUD_H__ */